{{title='Control Tasks'}}
{{icon="controlloop"}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/controlLoopsCss.css')}}">
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/popup.css')}}">
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/nextButtonCss.css')}}">
    {{extend 'header.html'}}
</head>
<body>
    <div id="main">
        <div class="informationTextBoxDiv">
            <div class="informationIconDescription">
                <span class="informationBoxIcon icon-02-Explanation_Select"></span><span class="informationBoxDescription">Selection</span>
            </div>
            <div class="informationTextBox">
                <span class="informationText">Please define the control tasks performed by the AGV by entering the distances for the different tracks and the number of On- and Off-loadings.</span>
            </div>
        </div>
        <div class="mainContent">
            <div id="obstacleformDiv">
                {{=formObstacles.custom.begin}}
                <div>
                    {{=formObstacles.custom.label.f_obstacles_straight}}
                    <div>{{=formObstacles.custom.widget.f_obstacles_straight}} {{=formObstacles.custom.comment.f_obstacles_straight}}</div>
                </div>
                <div>
                    {{=formObstacles.custom.label.f_obstacles_curve}}
                    <div>{{=formObstacles.custom.widget.f_obstacles_curve}} {{=formObstacles.custom.comment.f_obstacles_curve}}</div>
                </div>
                <div>
                    {{=formObstacles.custom.label.f_obstacles_crossing}}
                    <div>{{=formObstacles.custom.widget.f_obstacles_crossing}} {{=formObstacles.custom.comment.f_obstacles_crossing}}</div>
                </div>
                {{=formObstacles.custom.submit}}
                {{=formObstacles.custom.end}}
            </div>
            <div class="trackDiv">
                <div id="formDiv">
                    {{=form.custom.begin}}
                    <div id="tracktypelabel"><div class="qmarkBefore" id="wagerepairstaff">&#8505</div>{{=form.custom.label.f_trackType}}:<span id="t_tracksetup_f_tracktype_description">Distance of straight way on a single route</span>
                    </div><div>{{=form.custom.widget.f_trackType}} {{=form.custom.comment.f_trackType}}</div>
                    <div id="distancelabel">{{=form.custom.label.f_distance}}</div><div id="distancewidget">{{=form.custom.widget.f_distance}} {{=form.custom.comment.f_distance}}</div>
                    <div id="loadingamountlabel" style="display: none;">{{=form.custom.label.f_amount}}</div><div id="loadingamountwidget" style="display: none;">{{=form.custom.widget.f_amount}} {{=form.custom.comment.f_amount}}</div>
                    {{=form.custom.submit}}
                    {{=form.custom.end}}
                </div>
                <div id = "content">
                    {{=currentTrack}}
                    {{message=""}}
                </div>
            </div>
            <div id="images">
                <img src="{{=URL('static', 'images/31_1_Straight Drive.svg')}}" id="loopPicture">
            </div>
        </div>
        <div id="buttonDiv">
                <div id = "nextButton">
                    <a class="button" href='{{=URL("ct_start","mainScreen")}}'>Continue</a>
                </div>
            </div>
    </div>
    <script>
        function changePicture(selectObject){
            var value = selectObject.value;
            var descSpan = document.getElementById("t_tracksetup_f_tracktype_description");
            var pictureId = document.getElementById("loopPicture");
            var distancedivlabel = document.getElementById("distancelabel");
            var distancedivwidget = document.getElementById("distancewidget");
            var loadingamountlabel = document.getElementById("loadingamountlabel");
            var loadingamountwidget = document.getElementById("loadingamountwidget");
            var straightText = "Distance of straight way on a single route";
            var curveText = "Distance of curved way on a single route";
            var crossText = "Distance of crossings on a single route";
            var loadingText = "Amount of On and Off loading tasks AGV has to perform per route";
            switch (value){
                case "Straight":
                    pictureId.src="{{=URL('static', 'images/31_1_Straight Drive.svg')}}";
                    distancedivlabel.style.display = "block";
                    distancedivwidget.style.display = "block";
                    loadingamountlabel.style.display = "none" ;
                    loadingamountwidget.style.display = "none";
                    descSpan.innerHTML = straightText;
                    break;
                case "Curve":
                    pictureId.src="{{=URL('static', 'images/31_2_Curve_1.svg')}}";
                    distancedivlabel.style.display = "block";
                    distancedivwidget.style.display = "block";
                    loadingamountlabel.style.display = "none" ;
                    loadingamountwidget.style.display = "none";
                    descSpan.innerHTML = curveText;
                    break;
                case "Crossing":
                    pictureId.src="{{=URL('static', 'images/31_3_Crossing_1.svg')}}";
                    distancedivlabel.style.display = "block";
                    distancedivwidget.style.display = "block";
                    loadingamountlabel.style.display = "none" ;
                    loadingamountwidget.style.display = "none";
                    descSpan.innerHTML = crossText;
                    break;
                case "Number of loadings":
                    pictureId.src="{{=URL('static', 'images/31_4_On-and-Off-Loadings.svg')}}";
                    loadingamountlabel.style.display = "block";
                    loadingamountwidget.style.display = "block";
                    distancedivlabel.style.display = "none" ;
                    distancedivwidget.style.display = "none";
                    descSpan.innerHTML = loadingText;
                    break;
            }
        }
        function hideEmptyTable(){
            var tableHead = document.querySelector(".web2py_table div");
            var tableText = tableHead.innerHTML;
            if (tableText.localeCompare("No records found") == 0){
                tableHead.style.display = "none";
            }
        }
        hideEmptyTable();
        document.getElementById("t_trackSetup_f_trackType").addEventListener("change", function(){changePicture(this)}, true);
    </script>
</body>
